﻿Public Class Form1
    'Klasse refernzieren
    Private WithEvents _nwm As NetworkMonitor

    Private _savePath As String = Application.StartupPath & "\Adapter.ini"

    Private Sub Form1_Load(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles MyBase.Load

        'NetworkMonitor erzeugen
        _nwm = New NetworkMonitor()

        'Alle gültigen Adapter in eine Combobox laden
        Try
            ComboBox1.Items.AddRange(NetworkMonitor.GetAllNetworkInterfaces())
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

    Private Sub ComboBox1_SelectedIndexChanged(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles ComboBox1.SelectedIndexChanged

        'Dem NetworkMonitor einen gültigen Adapter zuweisen
        _nwm.selectedInterface = ComboBox1.SelectedItem.ToString()
    End Sub

    'Wird ausgeführt, wenn der NetworkMonitor das Event auslöst
    Private Sub GetValues() Handles _nwm.ReportValues
        'Die Werte an die Labels weiterreichen
        lblCurrentInBytes.Text = "Current in: " & _
            _nwm.currentInBytes.ToString("N0") & " Bytes/s"
        lblCurrentOutBytes.Text = "Current out: " & _
            _nwm.currentOutBytes.ToString("N0") & " Bytes/s"
        lblCurrentInBits.Text = "Current in: " & _
            _nwm.currentInBits.ToString("N0") & " Bits/s"
        lblCurrentOutBits.Text = "Current out: " & _
            _nwm.currentOutBits.ToString("N0") & " Bits/s"
        lblAvgInBytes.Text = "Average in: " & _
            _nwm.averageInBytes & " Bytes/s"
        lblAvgOutBytes.Text = "Average out: " & _
            _nwm.averageOutBytes & " Bytes/s"
        lblElapsedTime.Text = "Monitored time: " & _
            TimeSpan.FromSeconds(_nwm.monitoredTime).ToString()
        lblMaxInBytes.Text = "Maximum in: " & _
            _nwm.maxInBytes.ToString("N0") & " Bytes/sec"
        lblMaxOutBytes.Text = "Maximum out: " & _
            _nwm.maxOutBytes.ToString("N0") & " Bytes/sec"
        lblMaxInBits.Text = "Maximum in: " & _
            _nwm.maxInBits.ToString("N0") & " Bits/s"
        lblMaxOutBits.Text = "Maximum out: " & _
            _nwm.maxOutBits.ToString("N0") & " Bits/s"
        lblTotalInBytes.Text = "Total in: " & _
            _nwm.totalInBytes.ToString("N0") & " Bytes"
        lblTotalOutBytes.Text = "Total out: " & _
            _nwm.totalOutBytes.ToString("N0") & " Bytes"
        lblSelAdapter.Text = "Selected adapter: " & _
            _nwm.selectedInterface
    End Sub

    ' Gegenwärtige Werte speichern
    Private Sub btnSave_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnSave.Click

        _nwm.SaveNetworkValues(_savePath)
    End Sub

    ' Gespeicherte Werte laden   
    Private Sub btnLoad_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles btnLoad.Click

        _nwm.LoadAdapterValues(_savePath)
    End Sub
End Class
